{
  "mMapRead": {
    "qtyWrk": {
      "name": "qtyWrk",
      "description": "Contatore Parziale",
      "memAddr": "",
      "tipoMem": "Int",
      "index": 0,
      "size": 4,
      "func": "POINT",
      "period": 60,
      "factor": 1,
      "displOrdinal": 5
    },
    "qtyTot": {
      "name": "qtyTot",
      "description": "Contatore Assoluto",
      "memAddr": "",
      "tipoMem": "Int",
      "index": 0,
      "size": 4,
      "func": "POINT",
      "period": 60,
      "factor": 1,
      "displOrdinal": 6
    },
    "qtyReq": {
      "name": "qtyReq",
      "description": "Qty Richiesta",
      "memAddr": "",
      "tipoMem": "Int",
      "index": 0,
      "size": 4,
      "func": "POINT",
      "period": 60,
      "factor": 1,
      "displOrdinal": 4
    },
    "gLamp": {
      "name": "gLamp",
      "description": "Lamp G",
      "memAddr": "",
      "tipoMem": "Int",
      "index": 0,
      "size": 4,
      "func": "POINT",
      "period": 60,
      "factor": 1,
      "displOrdinal": 7
    },
    "yLamp": {
      "name": "yLamp",
      "description": "Lamp Y",
      "memAddr": "",
      "tipoMem": "Int",
      "index": 0,
      "size": 4,
      "func": "POINT",
      "period": 60,
      "factor": 1,
      "displOrdinal": 8
    },
    "rLamp": {
      "name": "rLamp",
      "description": "Lamp R",
      "memAddr": "",
      "tipoMem": "Int",
      "index": 0,
      "size": 4,
      "func": "POINT",
      "period": 60,
      "factor": 1,
      "displOrdinal": 9
    },
    "pName": {
      "name": "pName",
      "description": "Programma",
      "memAddr": "",
      "tipoMem": "String",
      "index": 0,
      "size": 4,
      "func": "POINT",
      "period": 60,
      "factor": 1,
      "displOrdinal": 10
    },
    "Alarms": {
      "name": "Alarms",
      "description": "Allarm Status",
      "memAddr": "",
      "tipoMem": "String",
      "index": 0,
      "size": 4,
      "func": "POINT",
      "period": 60,
      "factor": 1,
      "displOrdinal": 11
    },
    "cTime": {
      "name": "cTime",
      "description": "Ultimo T.Ciclo",
      "memAddr": "",
      "tipoMem": "String",
      "index": 0,
      "size": 4,
      "func": "POINT",
      "period": 60,
      "factor": 1,
      "displOrdinal": 12
    },
    "DYNDATA": {
      "name": "DYNDATA",
      "description": "DynData check",
      "memAddr": "",
      "tipoMem": "String",
      "index": 0,
      "size": 4,
      "func": "POINT",
      "period": 60,
      "factor": 1,
      "displOrdinal": 13
    },
    "token": {
      "name": "token",
      "description": "Token Rest",
      "memAddr": "",
      "tipoMem": "String",
      "index": 0,
      "size": 4,
      "func": "POINT",
      "period": 60,
      "factor": 1,
      "displOrdinal": 14
    }
  },
  "mMapWrite": {
    "setArt": {
      "name": "setArt",
      "description": "Articolo",
      "memAddr": "",
      "tipoMem": "Int",
      "index": 0,
      "size": 4,
      "func": "POINT",
      "period": 60,
      "factor": 1,
      "displOrdinal": 1
    },
    "setComm": {
      "name": "setComm",
      "description": "Commessa",
      "memAddr": "",
      "tipoMem": "Int",
      "index": 0,
      "size": 4,
      "func": "POINT",
      "period": 60,
      "factor": 1,
      "displOrdinal": 2
    },
    "setPzComm": {
      "name": "setPzComm",
      "description": "Qty Commessa",
      "memAddr": "",
      "tipoMem": "Int",
      "index": 0,
      "size": 4,
      "func": "POINT",
      "period": 60,
      "factor": 1,
      "displOrdinal": 3
    }
  },
  "timeOutSec": 60,
  "apiUrl": "http://192.168.80.61:8733/DRIVER_MES/rest/",
  "samplePeriod": 1000,
  "numErrDisconnect": 10,
  "CallList": {
    "GetConnection": {
      "Method": "Get",
      "Url": "checkconnection",
      "Name": "Connection",
      "OutVarName": "Connected"
    },
    "GetToken": {
      "Method": "Get",
      "Url": "gettoken/mecmaticames/mecmatica@mes",
      "OutVarName": "token",
      "SamplePeriod": 1000
    },
    "GetLampGreen": {
      "Method": "Get",
      "Url": "getsingleladderio/[[token]]/Y/8E",
      "Name": "Lampada Verde",
      "OutVarName": "LampGreen",
      "ListPrevCall": [ "GetToken" ],
      "SamplePeriod": 1000
    },
    "GetLampYellow": {
      "Method": "Get",
      "Url": "getsingleladderio/[[token]]/Y/21",
      "Name": "Lampada Gialla",
      "OutVarName": "LampYellow",
      "ListPrevCall": [ "GetToken" ],
      "SamplePeriod": 1000
    },
    "GetLampRed": {
      "Method": "Get",
      "Url": "getsingleladderio/[[token]]/Y/22",
      "Name": "Lampada Rossa",
      "OutVarName": "LampRed",
      "ListPrevCall": [ "GetToken" ],
      "SamplePeriod": 1000
    },
    "GetQtyTot": {
      "Method": "Get",
      "Url": "gettotalquantity/[[token]]",
      "Name": "Contapezzi Assoluto",
      "OutVarName": "ContapezziAssoluto",
      "ListPrevCall": [ "GetToken" ]
    },
    "GetQtyReq": {
      "Method": "Get",
      "Url": "getneededquantity/[[token]]",
      "Name": "Qta Richiesta",
      "OutVarName": "setPzComm",
      "ListPrevCall": [ "GetToken" ]
    },
    "GetQtyProd": {
      "Method": "Get",
      "Url": "getworkedquantity/[[token]]",
      "Name": "Contapezzi Parziale",
      "OutVarName": "ContapezziParziale",
      "ListPrevCall": [ "GetToken" ]
    },
    "GetCycleTime": {
      "Method": "Get",
      "Url": "getcycletime/[[token]]",
      "Name": "tempoCiclo (sec)",
      "OutVarName": "LastTC",
      "ListPrevCall": [ "GetToken" ]
    },
    "GetProgName": {
      "Method": "Get",
      "Url": "getmainprogram/[[token]]",
      "Name": "Programma MAIN",
      "OutVarName": "PROG",
      "ListPrevCall": [ "GetToken" ]
    },
    "GetCurrAlarm": {
      "Method": "Get",
      "Url": "getalarm/[[token]]",
      "Name": "Allarme attivo",
      "OutVarName": "AlarmActive",
      "ListPrevCall": [ "GetToken" ],
      "SamplePeriod": 2000
    },
    "GetAllAlarmLog": {
      "Method": "Get",
      "Url": "getallalarmlog/[[token]]",
      "Name": "Log Allarmi (last)",
      "OutVarName": "",
      "ListPrevCall": [ "GetToken" ],
      "SamplePeriod": 20000
    },
    "SetJobData": {
      "Method": "Post",
      "Url": "SetJobData",
      "Name": "Invio Parametri Jobs",
      "OutVarName": "",
      "ListPrevCall": [ "GetToken" ]
    },
    "SetNeededQuantity_disab": {
      "Method": "Post",
      "Url": "SetNeededQuantity",
      "Name": "Invio Qty Richiesta (disabilitato)",
      "OutVarName": "",
      "ListPrevCall": [ "GetToken" ]
    },
    "SetWorkedQuantity": {
      "Method": "Post",
      "Url": "SetWorkedQuantity",
      "Name": "Invio Qty Lavorata",
      "OutVarName": "",
      "ListPrevCall": [ "GetToken" ]
    }
  }
}